# Volume Profile `GET` `https://api.unusualwhales.com/api/option-contract/{id}/volume-profile` Returns the volume profile (volume - sweep, floor, cross, ask, bid, etc. - per fill price) for an option symbol on a given trading day. Date must be the current or a past date. If no date is given, returns data for the current/last market day. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `id` | OptionContract | Yes | An option contract in the OSI format. | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `ask_vol` | Option Contract Ask Volume | The amount of volume that happened on the ask side. Ask side is defined as (ask + bid) / 2 < fill price. | | `bid_vol` | Option Contract Bid Volume | The amount of volume that happened on the bid side. Bid side is defined as (ask + bid) / 2 > fill price. | | `cross_vol` | Option Contract Cross Volume | The amount of cross volume. Cross volume consists of all transaction that have the cross trade code. | | `date` | Market General Trading day | A trading date in ISO format. | | `floor_vol` | Option Contract Floor Volume | The amount of floor volume. Floor volume consists of all transaction that have the floor trade code. | | `mid_vol` | Option Contract Mid Volume | The amount of volume that happened in the middle of the ask and bid. Mid is defined as (ask + bid) / 2 == fill price. | | `multi_vol` | Option Contract Multi Leg Volume | The amount of volume that happened as part of a multileg trade with another contract. This can be spreads/rolls/condors/butterflies and more. | | `price` | Fill Price | The fill price of the option trade. | | `sweep_vol` | Option Contract Sweep Volume | The amount of sweep volume. Sweep volume consists of all transaction that have the sweep trade code. | | `transactions` | Option Contract Total Trades Count | The amount of transaction for this contract. | | `volume` | Option Contract Volume | The contract volume. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/option-contract/{id}/volume-profile" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/option-contract/{id}/volume-profile", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "ask_vol": 850, "bid_vol": 325, "cross_vol": 5, "date": "2024-05-28", "floor_vol": 10, "mid_vol": 25, "multi_vol": 40, "price": "3.50", "sweep_vol": 120, "transactions": 42, "volume": 1250 }, { "ask_vol": 620, "bid_vol": 275, "cross_vol": 0, "date": "2024-05-28", "floor_vol": 5, "mid_vol": 15, "multi_vol": 25, "price": "3.55", "sweep_vol": 90, "transactions": 31, "volume": 950 } ] } ```